function()
  --GPS
  local X, Y = UnitPosition("player")
  if X < aura_env.X then
    print("X DECREASING")
    aura_env.X = X
  end
  if X > aura_env.X then
    print("X INCREASING")
    aura_env.X = X
  end
  if Y < aura_env.Y then
    print("Y DECREASING")
    aura_env.Y = Y
  end
  if Y > aura_env.Y then
    print("Y INCREASING")
    aura_env.Y = Y
  end
end

aura_env.X = 0
aura_env.Y = 0
